{
    "pairs": {
        "binanceFutures": {
            "USDT-BTC": {
                "strategy": "Grid_bots",
                "enabled": true,
                "override": {
                    "GRID": true,
                    "GRID_SPREAD": 0.4,
                    "GRID_SIDE": "LONG",
                    "GRID_MAX": 0.1,
                    "GRID_TIMER":300,
                    "BUY_METHOD": "Market_Maker",
                    "BUY_ENABLED": true,
                    "SELL_METHOD": "Market_Maker",
                    "SELL_ENABLED": true,
                    "TRADING_LIMIT": 10,
                    "STOP_LIMIT": 3,
                    "ROE": 1
                }
            }
        }
    },
    "strategies": {
        "Grid_bots": {
            "IS_MARGIN_STRAT": true,
            "WAIT_OPEN_ORDERS": false,
            "bitRage_MODE": "safe",
            "AUTOSELL": false,
            "MAIN_BASE": "USDT",
            "BR_PANIC_SELL": false,
            "PSAR_PERIOD": 360,
            "PSAR_STEP": 0.02,
            "PSAR_MAX": 0.2,
            "bitRage": false,
            "CLOSE_SPREAD": false,
            "MAX_BUY": 3,
            "MAX_SELL": 3,
            "KUMO_BUY": false,
            "KIJUN_BUY": false,
            "TENKAN_BUY": true,
            "KUMO_SELL": false,
            "TENKAN_SELL": true,
            "KIJUN_SELL": false,
            "ROE_CLOSE": false,
            "ROE_TRAILING": false,
            "ROE_LIMIT": 1,
            "PRE_ORDER": false,
            "PRE_ORDER_GAP": 0,
            "MAKER_FEES": false,
            "MEAN_REVERSION": true,
            "MARKET_BUY": false,
            "MARKET_SELL": false,
            "MARKET_CLOSE": false,
            "MARKET_STOP": false,
            "MARKET_RTBUY": false,
            "MARKET_RTSELL": false,
            "MARKET_BUYBACK": false,
            "MARKET_DU": false,
            "MARKET_FOK": false,
            "USE_RENKO": false,
            "SHORT_LEVEL": 1,
            "LONG_LEVEL": 1,
            "ROE": 1,
            "TENKAN_CLOSE": true,
            "KUMO_CLOSE": false,
            "KIJUN_CLOSE": false,
            "TENKAN_STOP": false,
            "KUMO_STOP": true,
            "KIJUN_STOP": false,
            "RENKO_PERIOD": 15,
            "RENKO_BRICK_SIZE": 0.0001,
            "RENKO_ATR": false,
            "LEVERAGE": 0,
            "ICHIMOKU_PROTECTION": true,
            "XTREND_ENABLED": false,
            "NBA": 0,
            "DOUBLE_CHECK_GAIN": false,
            "DISPLACEMENT": 26,
            "RT_BUY_UP_LEVEL": 0,
            "SL_DISABLE_BUY": false,
            "SL_DISABLE_SELL": false,
            "COUNT_SELL": 9999,
            "BTC_PND_PERIOD": 14,
            "STOCHRSI_ENABLED": false,
            "STOCHRSI_LENGTH": 14,
            "STOCHRSI_BUY_LEVEL": 0.2,
            "STOCHRSI_SELL_LEVEL": 0.8,
            "STOCHRSI_METHOD": "oscillator",
            "RT_ONCE": false,
            "RT_ONCE_AND_CONTINUE": false,
            "TP_PROFIT_ONLY": true,
            "TAKE_BUY": false,
            "TBUY_RANGE": 0.5,
            "TENKAN_PERIOD": 9,
            "KIJUN_PERIOD": 26,
            "SENKOUSPAN_PERIOD": 52,
            "KEEP_QUOTE": 0,
            "TL_PERC": 0,
            "TL_ALLIN": false,
            "TAKE_PROFIT": false,
            "TP_RANGE": 0.5,
            "EMAx": 0.5,
            "PP_BUY": 0,
            "PP_SELL": 99999,
            "BUYLVL": 1,
            "BUYLVL1": 0.6,
            "BUYLVL2": 2,
            "BUYLVL3": 70,
            "SELLLVL": 1,
            "SELLLVL1": 0.6,
            "SELLLVL2": 2,
            "SELLLVL3": 70,
            "ATRX": 0.5,
            "ATR_PERIOD": 14,
            "RSI_METHOD": "oscillator",
            "STOCH_METHOD": "oscillator",
            "KUMO_SENTIMENTS": true,
            "CANDLES_LENGTH": 99,
            "EMA_LENGTH": 50,
            "MFI_LENGTH": 14,
            "RT_SELL_UP": 0.3,
            "RT_TREND_ENABLED": false,
            "RT_BUY_LEVEL": 2,
            "RT_GAIN": 1.5,
            "BUY_METHOD": "gain",
            "BUY_ENABLED": false,
            "BUY_LEVEL": 1,
            "BUY_RANGE": 0.5,
            "SELL_METHOD": "gain",
            "SELL_ENABLED": true,
            "GAIN": 0.1,
            "SELL_RANGE": 0.5,
            "TSSL_TARGET_ONLY": false,
            "TRADING_FEES": 0.25,
            "TRADING_LIMIT": 0.0015,
            "FUNDS_RESERVE": 0.0001,
            "PERIOD": 15,
            "EMA1": 16,
            "EMA2": 8,
            "HIGH_BB": 0,
            "LOW_BB": 0,
            "STDV": 2,
            "SMAPERIOD": 50,
            "SLOW_SMA": 2,
            "FAST_SMA": 1,
            "SINGLE_BUY": false,
            "MACD_SHORT": 5,
            "MACD_LONG": 20,
            "MACD_SIGNAL": 10,
            "STOCH_ENABLED": false,
            "STOCH_BUY_LEVEL": 20,
            "STOCH_SELL_LEVEL": 80,
            "STOCH_K": 14,
            "SLOW_STOCH_K": 3,
            "STOCH_D": 3,
            "DI_PERIOD": 14,
            "EMASPREAD": false,
            "ADX_LEVEL": 25,
            "ADX_ENABLED": false,
            "RSI_BUY_ENABLED": false,
            "RSI_SELL_ENABLED": false,
            "RSI_BUY_LEVEL": 30,
            "RSI_SELL_LEVEL": 70,
            "RSI_LENGTH": 14,
            "MFI_ENABLED": false,
            "MFI_SELL_LEVEL": 70,
            "MFI_BUY_LEVEL": 30,
            "BTC_PND_PROTECTION": false,
            "BTC_MONEY_FLOW": 35,
            "DOUBLE_UP": false,
            "DOUBLE_UP_CAP": 1,
            "DU_CAP_COUNT": 0,
            "DU_METHOD": "HIGHBB",
            "RSI_DU_BUY": 30,
            "RT_ENABLED": false,
            "RT_MAXBAG_PROTECTION": 10,
            "DU_BUYDOWN": 2,
            "TRAIL_ME_BUY": false,
            "TRAIL_ME_SELL": false,
            "TRAIL_ME_RT_SELL_RANGE": 0.5,
            "TM_RT_SELL": false,
            "TRAIL_ME_RT": false,
            "TRAIL_ME_DU": false,
            "TRAIL_ME_SELL_RANGE": 0.5,
            "TRAIL_ME_BUY_RANGE": 0.5,
            "PANIC_SELL": false,
            "STOP_LIMIT": 9999,
            "MIN_VOLUME_TO_BUY": 0.0012,
            "MIN_VOLUME_TO_SELL": 0.0012,
            "TRADES_TIMEOUT": 0,
            "IGNORE_TRADES_BEFORE": 0,
            "STOP_BUY": 0,
            "STOP_SELL": 0
        }
    },
    "bot": {
        "json_output": "./json",
        "debug": false,
        "BEST_CURRENCIES": false,
        "BOT_DELAY": 0,
        "BOT_CCLEAN": 1,
        "gunthy_wallet": "xxxxxxxxxxxxxxxxxxxxx",
        "CANCEL_ORDERS_ENABLED": false,
        "CANCEL_ORDERS_CYCLE_CAP": 10,
        "CANCEL_ONCAP": false,
        "RESERVE_PILE_UP": false,
        "interval_ticker_update": 25000,
        "period_storage_ticker": 2000,
        "timeout_buy": 59000,
        "timeout_sell": 60000,
        "TRADING_LIMIT_BUY_PYRAMID": 50,
        "TV_GAIN": 0.6,
        "TV_TRADING_LIMIT_BUY": 50,
        "TV_TRADING_LIMIT_BUY_PYRAMID": 50,
        "TV_PYRAMID": false,
        "TV_TRADING_LIMIT_SELL": 50,
        "TV_PROTECTION": false,
        "TV_TRADING_LIMIT_CAP": 0.0001,
        "TV_STOPLOSS_PERCENTAGE": 60,
        "TV_TRADING_LIMIT_ALLIN": false,
        "TV_MVTS": 0.0001,
        "TV_GB": false,
        "TV_LEVERAGE": 0,
        "TV_LENDING": 0.02,
        "TV_CLOSE_ALL": false,
        "RETRY_TV_ORDER": false,
        "VERBOSE": false,
        "WATCH_MODE": false,
        "MULTIPLE_BASE": false,
        "MINIMUM_VOLUME_GOOD_CURRENCY": 200,
        "MINIMUM_VARIATION_SUGGEST_TRADE": 1,
        "withdraw_address": "YOURBTCADDRESSHERE",
        "withdraw_threshold": 0.5,
        "UTA_MM_ENABLED": false,
        "UTA_ENABLED": false,
        "TELEGRAM_ENABLED": false,
        "TG_ORDER_TIMEOUT": 0,
        "TG_TEST": false,
        "TG_PL_ONLY": false,
        "TELEGRAM_NICK": "Grid_bots",
        "TEST_BITRAGE": false,
        "bitRage_strategy": "Grid_bots",
        "OLD_TELEGRAM": false,
        "DCA_strategy": "Grid_bots",
        "BR_HEDGING": false,
        "TRADES_INTERVAL": 0,
        "TRADES_INTERVAL2": 0,
        "TG_AUTOCONFIG": false,
        "TOKEN": "xxxxxxxxxxxxxxxxxx",
        "BR_TOKEN": "xxxxxxxxxxxxxxxx",
        "chat_id": "12345678",
        "admin_id": "12345678,-12345678"
    },
    "ws": {
        "port": 5001,
        "clientport": 3000,
        "hostname": "127.0.0.1"
    },
    "GUI": {
        "enabled": true,
        "start": false,
        "port": 5000,
        "https": false,
        "key": "localhost.key",
        "cert": "localhost.crt",
        "networktraffic": false,
        "authentication": {
            "login": false,
            "twoFA": false
        },
        "notifications": {
            "trade": true,
            "callback": false,
            "error": true
        }
    },
    "AutoConfig": {
        "enabled": false
    },
    "api": {
        "enabled": false,
        "start": false,
        "debug": false,
        "https": false,
        "port": 8080,
        "key": "colorize/ssl/privateKey.key",
        "cert": "colorize/ssl/certificate.crt",
        "allowedIPs": ""
    },
    "Signals": {
        "enabled": false
    },
    "exchanges": {
        "binanceFutures": {
            "key": "xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx",
            "secret": "xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx",
            "masterkey": "xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx",
            "mastersecret": "xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx",
            "type": "binance",
            "TRADING_FEES": 0.04,
            "delay": 10,
            "BTC": 0.0021,
            "USDT": 15,
            "ETH": 0.12,
            "BNB": 1.1,
            "USDC": 15,
            "autoPairs": false,
            "tick_time": true,
            "tick_interval": 10,
            "filteredQuote": [],
            "filteredPair": [],
            "includeCoins": [],
            "filteredBase": []
        }
    },
    "imap_listener": {
        "enabled": false,
        "authorized_froms": "[\"noreply@tradingview.com\"]",
        "user": "YOUREMAIL",
        "password": "YOURPASSWORD",
        "host": "imap.gmail.com",
        "port": 993,
        "tls": true,
        "tlsOptions": {
            "rejectUnauthorized": false
        }
    }
}